org.springframework.jms.connection

## Class SynchedLocalTransactionFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.jms.JmsException
          - - org.springframework.jms.connection.SynchedLocalTransactionFailedException

All Implemented Interfaces:
  Serializable

    public class SynchedLocalTransactionFailedException
    extends JmsException

Exception thrown when a synchronized local transaction failed to complete (after the main transaction has already completed).

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `ConnectionFactoryUtils`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SynchedLocalTransactionFailedException(String msg, JMSException cause)` Create a new SynchedLocalTransactionFailedException.

### Method Summary

### Methods inherited from class org.springframework.jms.JmsException

`getErrorCode, getMessage`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SynchedLocalTransactionFailedException

    public SynchedLocalTransactionFailedException(String msg,
                                          JMSException cause)

Create a new SynchedLocalTransactionFailedException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause